#include <stdio.h>
#include "module.h"

#define AUTHOR "Certus"
#define VERSION "1.0"


int show_stats(User *u);
int Module_Help_status_full(User *u);
void Module_Help_status(User *u);

int AnopeInit(int argc, char **argv) {
	Command *c;
	c=createCommand("status",show_stats,is_services_admin,-1,-1,-1,-1,-1);
	alog("Loading module ns_identify_stats.so [Status: %d]",moduleAddCommand(OPERSERV,c,MOD_HEAD));
	moduleAddHelp(c,Module_Help_status_full);
	moduleSetOperHelp(Module_Help_status);
}

int Module_Help_status_full(User *u)
{
       if (is_services_admin(u)) {
       		notice(s_OperServ,u->nick, "------------------------------------------------------------------");
       		notice(s_OperServ,u->nick, " Syntaxe : /msg LeNa STATUS");
       		notice(s_OperServ,u->nick, "   ");
       		notice(s_OperServ,u->nick, " Cette commande sert  voir le status des services.");
       		notice(s_OperServ,u->nick, "  ");
      		notice(s_OperServ,u->nick, "------------------------------------------------------------------");
       		return MOD_STOP;
       }
       return MOD_STOP;
}

void AnopeFini(void) {
	alog("Unloading module ns_identify_stats.so");
}

void Module_Help_status(User *u)
{
   if (is_services_admin(u)) {
       notice(s_OperServ,u->nick, "    STATUS    Voir le Status des Services");
   }
   return;
}

int show_stats(User *u) {
	time_t uptime = time(NULL) - start_time;
	int days = uptime / 86400, hours = (uptime / 3600) % 24,
	mins = (uptime / 60) % 60, secs = uptime % 60;
	long count, mem;
	int c;

	if (u && is_services_admin(u)) {
		notice(s_OperServ, u->nick, "---------------------------------------------------------");
		notice(s_OperServ, u->nick, "------------- \2Status des Services\2 ---------------");
		notice(s_OperServ, u->nick, "---------------------------------------------------------");
		notice(s_OperServ, u->nick, "Version: Anope %s", version_number);
		notice(s_OperServ, u->nick, "Uptime: %d jours, %d heures, %d mins, %d secs", days, hours, mins, secs);
		notice(s_OperServ, u->nick, "Users Online: %d", usercnt);
        	notice(s_OperServ, u->nick, "Maximum Users: %d", maxusercnt);
        	get_channel_stats(&count, &mem);
		notice(s_OperServ, u->nick, "Ircops Online: %d", opcnt);
		notice(s_OperServ, u->nick, "Salons Ouverts: %ld", count);
		get_core_stats(&count, &mem);
		c=count;
		get_chanserv_stats(&count, &mem);
		notice(s_OperServ, u->nick, "Pseudos Enregistrs: %d", c );
		notice(s_OperServ, u->nick, "Salons Enregistrs: %ld", count );
		notice(s_OperServ, u->nick, "---------------------------------------------------------");
		return MOD_CONT;
		}
	return MOD_CONT;
}


